Subject: Re: [Sigtran] M2PA list of comments on draft version 5 - multiple links on the s

From: Tom George <[email-masked]>
Date: Thu, 01 Aug 2002 13:59:11 -0500

Tolga Asveren wrote:
> 
> Brian,
> 
> Let me summarize the current situation and my personal opinions:
  [...]
> 
> IMO, using out-of-order delivery for LS messages with the same stream like
> data would be a nicer solution but I think there the problem is that one LS
> message might jump in front of another one (and of course the example I gave
> would continue to be a disadvantage but so be it)
  [...]

That is exactly the reason I did not use unordered delivery for Link
Status messages. SCTP gives them priority when sending them, but there
is no guarantee that the unordered messages will be ordered among
themselves. It would make a big difference if, for example, a LS Proc
Outage and a LS Proc Outage Ended got out of order.  

-- 
* Tom George          972-519-3168           [email-masked]   *
* PB2-1323       Intranet:  http://www.ssd.usa.alcatel.com/~tgeorge/  *
* Alcatel USA, Inc.; 1000 Coit Rd, MS PB2-STPA; Plano TX 75075-5813   *
* I actively disclaim speaking for Alcatel USA, Inc. I do not purport *
* to advertise or represent its position,  operations, or activities. *

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran